Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.jmx
Class BpelEventNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              org.apache.ode.bpel.jmx.BpelEventNotification

All Implemented Interfaces:
  java.io.Serializable

    public class BpelEventNotification

extends javax.management.Notification

JMX notification used to deliver `BpelEvent`s to JMX `NotificationListener`s.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`BpelEventNotification(java.lang.Object source, long sequence, BpelEvent bpelEvent)` Constructor.

Method Summary
`BpelEvent` | `getBpelEvent()` Get the `BpelEvent` payload.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BpelEventNotification

    public BpelEventNotification(java.lang.Object source,
                                 long sequence,
                                 BpelEvent bpelEvent)

  Constructor. Creates a JMX notification with a type matching the class name of the passed-in `BpelEvent` object.

  Parameters:
    `source` - originating object/`ObjectName`
    `sequence` - event sequence
    `bpelEvent` - `BpelEvent` payload

Method Detail

### getBpelEvent

    public BpelEvent getBpelEvent()

  Get the `BpelEvent` payload.

  Returns:
    `BpelEvent` payload.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD